Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.aria.client
Enum PressedValue

    java.lang.Object
      java.lang.Enum<PressedValue>
          com.google.gwt.aria.client.PressedValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<PressedValue>

    public enum PressedValue

extends java.lang.Enum<PressedValue>
implements AriaAttributeType

State enum for 'aria-pressed' values.

Enum Constant Summary
`FALSE`
`MIXED`
`TRUE`
`UNDEFINED`

Method Summary
`java.lang.String` | `getAriaValue()`
`static PressedValue` | `of(boolean value)` Gets the enum constant corresponding to `value` for the token type PressedValue.
`static PressedValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PressedValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final PressedValue TRUE

### FALSE

    public static final PressedValue FALSE

### MIXED

    public static final PressedValue MIXED

### UNDEFINED

    public static final PressedValue UNDEFINED

Method Detail

### values

    public static PressedValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PressedValue c : PressedValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PressedValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### of

    public static PressedValue of(boolean value)

  Gets the enum constant corresponding to `value` for the token type PressedValue.

  Parameters:
    `value` - Boolean value for which we want to get the corresponding enum constant.

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD